package com.streamsicle;

/**
 * Title:        QueueItem
 * Description:  A container for anything that's in the to be played queue
 * @author Matt Hall
 * @author John Watkinson
 */

public class QueueItem {

    private MP3File theFile;
    private boolean request;    // Is this item a request?

    public QueueItem(MP3File theFile) {
        this.theFile = theFile;
    }

    public QueueItem(MP3File theFile, boolean request) {
        this.request = request;
        this.theFile = theFile;
    }

    public MP3File getMP3File() {return theFile;}
    public boolean isRequest() {return request;}
}
