<%@ page import="java.util.*,com.streamsicle.*,com.streamsicle.fluid.*,com.streamsicle.songinfo.*" %>

<%
   MP3File mp3File = (MP3File)request.getAttribute("mp3File");
   SongInfo songInfo = (SongInfo)request.getAttribute("songInfo");
   int rootNameLength = ((Integer)request.getAttribute("rootNameLength")).intValue();
   String ctx = request.getContextPath();
%>

<HTML>

<HEAD>
   <TITLE>Streamsicle Song Info</TITLE>
   <LINK rel="stylesheet" type="text/css" href="<%=ctx%>/styles.css">
   <SCRIPT language="javascript">
      function setOpenerDir( dirID ) {
	 window.opener.location.href='<%=ctx%>/servlet/Streamsicle?rightTab=requestTree&dirID='+dirID;
      }

      function addSong( fileID ) {
	 window.opener.location.href='<%=ctx%>/servlet/Streamsicle?action=add&song='+fileID;
      }
   </SCRIPT>
</HEAD>

<BODY TEXT="#000000" LINK="#333366" VLINK="#333366" ALINK="#333366">

<DIV class="songInfoHeader">
   <%=mp3File.getName()%>
</DIV>

<BR class="smallLineBreak">

<TABLE cellspacing="4px" class="songInfoTable">
   <TR class="songInfoItem">
      <TD width="40%">Directory</TD>
<%
      if( mp3File.getParent().getFileID() == 1 ) {
%>
      <TD width="60%"><A href="javascript:setOpenerDir( 1 )">[top]</A></TD>
<%
      } else {
%>
      <TD width="60%"><A href="javascript:setOpenerDir( <%=mp3File.getParent().getFileID()%> )">
      <%
      	String dir = mp3File.getFile().getParentFile().getPath();
      	if (dir.indexOf(java.io.File.separator) != -1) {
			dir = dir.substring(dir.indexOf(java.io.File.separator));
		}
      %>
      <%= dir %>
      </A></TD>
<%
      }
%>
   </TR>
   <TR class="songInfoItem">
      <TD width="40%">Filename</TD>
      <TD width="60%"><%=mp3File.getFile().getName()%></TD>
   </TR>
<%
   if( songInfo.hasArtist() ) {
%>
      <TR class="songInfoItem">
	 <TD width="40%">Artist</TD>
	 <TD width="60%"><%=songInfo.getArtist()%></TD>
      </TR>
<%
   }
   if( songInfo.hasTitle() ) {
%>
      <TR class="songInfoItem">
	 <TD width="40%">Track Name</TD>
	 <TD width="60%"><A href="javascript:addSong( <%=mp3File.getFileID() %> )"><%=songInfo.getTitle()%></A></TD>
      </TR>
<%
   }
   if( songInfo.hasTimeLength() ) {
%>
      <TR class="songInfoItem">
	 <TD width="40%">Track Length</TD>
	 <TD width="60%"><%=mp3File.getTimeLength()%></TD>
      </TR>
<%
   }
   if( songInfo.hasAlbum() ) {
%>
      <TR class="songInfoItem">
	 <TD width="40%">Album</TD>
	 <TD width="60%"><%=songInfo.getAlbum()%></TD>
      </TR>
<%
   }
   if( songInfo.hasTrackNumber() ) {
%>
      <TR class="songInfoItem">
	 <TD width="40%">Track Number</TD>
	 <TD width="60%"><%=songInfo.getTrackNumber()%></TD>
      </TR>
<%
   }
   if( songInfo.hasYear() ) {
%>
      <TR class="songInfoItem">
	 <TD width="40%">Year</TD>
	 <TD width="60%"><%=songInfo.getYear()%></TD>
      </TR>
<%
   }
   if( songInfo.hasGenre() ) {
%>
      <TR class="songInfoItem">
	 <TD width="40%">Genre</TD>
	 <TD width="60%"><%=songInfo.getGenre()%></TD>
      </TR>
<%
   }
   if( songInfo.hasComposer() ) {
%>
      <TR class="songInfoItem">
	 <TD width="40%">Composer</TD>
	 <TD width="60%"><%=songInfo.getComposer()%></TD>
      </TR>
<%
   }
   if( songInfo.hasOriginalArtist() ) {
%>
      <TR class="songInfoItem">
	 <TD width="40%">Original Artist</TD>
	 <TD width="60%"><%=songInfo.getOriginalArtist()%></TD>
      </TR>
<%
   }
   if( songInfo.hasComment() ) {
%>
      <TR class="songInfoItem">
	 <TD width="40%">Comment</TD>
	 <TD width="60%"><%=songInfo.getComment()%></TD>
      </TR>
<%
   }
   if( songInfo.hasURL() ) {
%>
      <TR class="songInfoItem">
	 <TD width="40%">URL</TD>
	 <TD width="60%"><A target="_blank" href="<%=songInfo.getURL()%>"><%=songInfo.getURL()%></A></TD>
      </TR>
<%
   }
%>
</TABLE>

</BODY

</HTML>
