<%
   String ctx = request.getContextPath();
   String configFile = application.getRealPath("/WEB-INF/conf/streamsicle.conf");
   String errorMessage = (String) request.getAttribute("errorMessage");
%>

<HTML>

<HEAD>
   <TITLE>Streamsicle</TITLE>
   <LINK rel="stylesheet" type="text/css" href="<%=ctx%>/styles.css">
   <META HTTP-EQUIV="refresh" content="10">
</HEAD>

<BODY TEXT="#000000" LINK="#52829c" VLINK="#52829c" ALINK="#52829c" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">

<CENTER>
   <IMG BORDER=0 src="<%=ctx%>/img/logo.gif">
</CENTER>

<BR><BR>

<CENTER>
   <DIV class="warningMessage">
        This Streamsicle server is not yet configured. Please follow the instructions below to
        configure Streamsicle.
        <% if (!"".equals(errorMessage)) { %>
        <br><br>The last configuration attempt failed because of:  <%=errorMessage%>
        <% } %>
   </DIV>
</CENTER>
<br>
   <DIV class="infoMessage">
Open this file in a text editor:
<blockquote>
<a href="file:///<%= configFile %>" type="text/plain"><%= configFile %></a>
</blockquote>
Edit the line <i>streamsicle.playdir</i> and set it to the directory where your music files are.
Use forward slashes (/) instead of backslashes (\). For example:
<blockquote>
streamsicle.playdir = c:/music
</blockquote>
Next edit the line <i>streamsicle.host</i> to be the hostname of your computer.
This is usually the name of your computer on the network. For example:
<blockquote>
streamsicle.host = MUSICSERVER
</blockquote>
Finally, you can change the description of your server by editing the line <i>streamsicle.description</i>. For example:
<blockquote>
streamsicle.description = Johnny's New Wave Radio
</blockquote>
</DIV>
</BODY>

</HTML>
