<%@ page import="java.util.*,com.streamsicle.*,com.streamsicle.fluid.*,com.streamsicle.songinfo.*" %>
<%@ page pageEncoding="utf-8" %>

<%
   MP3File mp3File = (MP3File)request.getAttribute("mp3File");
   SongInfo songInfo = (SongInfo)request.getAttribute("songInfo");
   int rootNameLength = ((Integer)request.getAttribute("rootNameLength")).intValue();
   String ctx = request.getContextPath();
   String 	imgPrefix = request.getContextPath()+"/look_default/";
%>

<HTML>

<HEAD>
   <TITLE>Streamsicle Song Info</TITLE>
   <LINK rel="stylesheet" type="text/css" href="<%=imgPrefix%>streamsicle.css">
   <SCRIPT language="javascript">
      function setOpenerDir( dirID ) {
	 window.opener.location.href='<%=ctx%>/servlet/Streamsicle?rightTab=requestTree&dirID='+dirID;
      }

      function addSong( fileID ) {
	 window.opener.location.href='<%=ctx%>/servlet/Streamsicle?action=add&song='+fileID;
      }
   </SCRIPT>
</HEAD>

<BODY>

<table cellspacing="0" cellpadding="0" border="0" align="center" width="372">
 <%-- HEADER --%>
 <tr>
  <td colspan="3" class="white"><img src="<%=imgPrefix%>img/spacer.gif" width=1 height=2 alt="" border="0"></td>
 </tr>
 <tr>
  <td class="white"><img src="<%=imgPrefix%>img/spacer.gif" width=2 height=1 alt="" border="0"></td>
  <td class="content"><img src="<%=imgPrefix%>img/headers/hdr_songinfo.gif" alt="" width="370" height="18" border="0" />
   <table width="100%" border="0" cellpadding="0" cellspacing="0">
 <%-- /HEADER --%>
  <%-- Song name --%>
   <tr>
    <td class="content" width="6"><img src="<%=imgPrefix%>img/spacer.gif" width="1" height="1" border="0" alt=""></td>
    <td class="content" colspan="3"><b><%=mp3File.getName()%></b></td>
   </tr>
  <%-- Spacing --%>
   <tr>
    <td class="content" colspan="4">&nbsp;</td>
   </tr>
  <%-- Directory --%>
   <tr>
    <td class="content" width="6"><img src="<%=imgPrefix%>img/spacer.gif" width="1" height="1" border="0" alt=""></td>
    <td class="content">Directory</td>
    <td class="content" width="6"><img src="<%=imgPrefix%>img/spacer.gif" width="1" height="1" border="0" alt=""></td>
    <td class="content">
<%
      if( mp3File.getParent().getFileID() == 1 ) {
%>
      <a href="javascript:setOpenerDir( 1 )">[top]</a>
<%
      } else {
%>
      <a href="javascript:setOpenerDir( <%=mp3File.getParent().getFileID()%> )">
      <%
          String dir = mp3File.getFile().getParentFile().getPath();
          if (dir.indexOf(java.io.File.separator) != -1) {
            dir = dir.substring(dir.indexOf(java.io.File.separator));
        }
      %>
      <%= dir %>
      </a>
<%
      }
%>
    </td>
   </tr>
  <%-- Filename --%>
   <tr>
    <td class="content" width="6"><img src="<%=imgPrefix%>img/spacer.gif" width="1" height="1" border="0" alt=""></td>
    <td class="content">Filename</td>
    <td class="content" width="6"><img src="<%=imgPrefix%>img/spacer.gif" width="1" height="1" border="0" alt=""></td>
    <td class="content"><%=mp3File.getFile().getName()%></td>
   </tr>
  <%-- --%>
<%
   if( songInfo.hasArtist() ) {
%>
   <tr>
    <td class="content" width="6"><img src="<%=imgPrefix%>img/spacer.gif" width="1" height="1" border="0" alt=""></td>
    <td class="content">Artist</td>
    <td class="content" width="6"><img src="<%=imgPrefix%>img/spacer.gif" width="1" height="1" border="0" alt=""></td>
    <td class="content"><%=songInfo.getArtist()%></td>
   </tr>
<%
   }
   if( songInfo.hasTitle() ) {
%>
   <tr>
    <td class="content" width="6"><img src="<%=imgPrefix%>img/spacer.gif" width="1" height="1" border="0" alt=""></td>
    <td class="content">Track Name</td>
    <td class="content" width="6"><img src="<%=imgPrefix%>img/spacer.gif" width="1" height="1" border="0" alt=""></td>
    <td class="content"><a href="javascript:addSong( <%=mp3File.getFileID() %> )"><%=songInfo.getTitle()%></a></td>
   </tr>
<%
   }
   if( songInfo.hasTimeLength() ) {
%>
   <tr>
    <td class="content" width="6"><img src="<%=imgPrefix%>img/spacer.gif" width="1" height="1" border="0" alt=""></td>
    <td class="content">Track Length</td>
    <td class="content" width="6"><img src="<%=imgPrefix%>img/spacer.gif" width="1" height="1" border="0" alt=""></td>
    <td class="content"><%=mp3File.getTimeLength()%></td>
   </tr>
<%
   }
   if( songInfo.hasAlbum() ) {
%>
   <tr>
    <td class="content" width="6"><img src="<%=imgPrefix%>img/spacer.gif" width="1" height="1" border="0" alt=""></td>
    <td class="content">Album</td>
    <td class="content" width="6"><img src="<%=imgPrefix%>img/spacer.gif" width="1" height="1" border="0" alt=""></td>
    <td class="content"><%=songInfo.getAlbum()%></td>
   </tr>
<%
   }
   if( songInfo.hasTrackNumber() ) {
%>
   <tr>
    <td class="content" width="6"><img src="<%=imgPrefix%>img/spacer.gif" width="1" height="1" border="0" alt=""></td>
    <td class="content">Track Number</td>
    <td class="content" width="6"><img src="<%=imgPrefix%>img/spacer.gif" width="1" height="1" border="0" alt=""></td>
    <td class="content"><%=songInfo.getTrackNumber()%></td>
   </tr>
<%
   }
   if( songInfo.hasYear() ) {
%>
   <tr class="songInfoItem">
    <td class="content" width="6"><img src="<%=imgPrefix%>img/spacer.gif" width="1" height="1" border="0" alt=""></td>
    <td class="content">Year</td>
    <td class="content" width="6"><img src="<%=imgPrefix%>img/spacer.gif" width="1" height="1" border="0" alt=""></td>
    <td class="content"><%=songInfo.getYear()%></td>
   </tr>
<%
   }
   if( songInfo.hasGenre() ) {
%>
   <tr>
    <td class="content" width="6"><img src="<%=imgPrefix%>img/spacer.gif" width="1" height="1" border="0" alt=""></td>
    <td class="content">Genre</td>
    <td class="content" width="6"><img src="<%=imgPrefix%>img/spacer.gif" width="1" height="1" border="0" alt=""></td>
    <td class="content"><%=songInfo.getGenre()%></td>
   </tr>
<%
   }
   if( songInfo.hasComposer() ) {
%>
   <tr>
    <td class="content" width="6"><img src="<%=imgPrefix%>img/spacer.gif" width="1" height="1" border="0" alt=""></td>
    <td class="content">Composer</td>
    <td class="content" width="6"><img src="<%=imgPrefix%>img/spacer.gif" width="1" height="1" border="0" alt=""></td>
    <td class="content"><%=songInfo.getComposer()%></td>
   </tr>
<%
   }
   if( songInfo.hasOriginalArtist() ) {
%>
   <tr>
    <td class="content" width="6"><img src="<%=imgPrefix%>img/spacer.gif" width="1" height="1" border="0" alt=""></td>
    <td class="content">Original Artist</td>
    <td class="content" width="6"><img src="<%=imgPrefix%>img/spacer.gif" width="1" height="1" border="0" alt=""></td>
    <td class="content"><%=songInfo.getOriginalArtist()%></td>
   </tr>
<%
   }
   if( songInfo.hasComment() ) {
%>
   <tr>
    <td class="content" width="6"><img src="<%=imgPrefix%>img/spacer.gif" width="1" height="1" border="0" alt=""></td>
    <td valign="top" class="content">Comment</td>
    <td class="content" width="6"><img src="<%=imgPrefix%>img/spacer.gif" width="1" height="1" border="0" alt=""></td>
    <td class="content"><%=songInfo.getComment()%></td>
   </tr>
<%
   }
   if( songInfo.hasURL() ) {
%>
   <tr>
    <td class="content" width="6"><img src="<%=imgPrefix%>img/spacer.gif" width="1" height="1" border="0" alt=""></td>
    <td class="content">URL</td>
    <td class="content" width="6"><img src="<%=imgPrefix%>img/spacer.gif" width="1" height="1" border="0" alt=""></td>
    <td class="content"><a target="_blank" href="<%=songInfo.getURL()%>"><%=songInfo.getURL()%></a></td>
   </tr>
<%
   }
%>
 <%-- FOOTER --%>
   </table>
  </td>
  <td class="white"><img src="<%=imgPrefix%>img/spacer.gif" width=2 height=1 alt="" border="0"></td>
 </tr>
 <tr>
  <td colspan="3" class="white"><img src="<%=imgPrefix%>img/spacer.gif" width=1 height=2 alt="" border="0"></td>
 </tr>
<%-- /FOOTER --%>
</table>
</body>
</HTML>
